Subject: Re: Assume at least POSIX.1-1988 for fcntl.h
From: Paul Eggert <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked]
Date: Sat, 17 Nov 2012 14:17:14 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On 11/16/2012 01:49 AM, Eli Zaretskii wrote:
> I wonder how it compiled for you;
> presumably some other header on your platform includes fcntl.h
> internally

It's systty.h, which includes fcntl.h everywhere.
But it doesn't hurt to include it again, so I did that.
I took the other suggestions you made as well, except
that I moved the replacement definitions of O_RDWR and
O_NOCTTY into nt/inc/unistd.h rather than to some other
spot in term.c.  It's cleaner to define system macros
in our implementation of the system rather than in the
application.  In the longer run we may want to move those
macros to a new file that replaces fcntl.h, but that's
for another day.

I installed this as trunk bzr 110931 and am marking it as
done.